#include <time.h>

#define HIST_NO_VAL -1

typedef struct {
	float val;
	double time;
} Timedvalue;

typedef struct {
	int next_index;
	int length;
	Timedvalue vals[];
} History;

void history_clear(History *hist);
History *history_new(int history_length);
double history_average(History *hist);
void history_addval(History *hist, double val);
double history_diffaverage(History *hist);
double double_time(void);
double history_curval(History *hist);
